import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "shape", "noBorder"];
import cx from 'classnames';
import PropTypes from 'prop-types';
import { BASE, INPUT_SHAPES } from '../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var InputContainer = function InputContainer(_ref) {
  var children = _ref.children,
    shape = _ref.shape,
    noBorder = _ref.noBorder,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx("div", _extends({
    className: cx(BASE + "_Container", shape && BASE + "_Container-shape-" + shape, noBorder && BASE + "_Container-noBorder")
  }, props, {
    children: children
  }));
};
export default InputContainer;